DSM 6.2 Loader


Recommended Posts

4 hours ago, syno406 said:

is there a step by step tutorial on how to update to DSM 6.2 from DSM 6.1-15047?

Just follow the same process as described in the install/upgrade tutorials for 6.1, but using the bootloader for 6.2, for your hardware/model

Before you attempt to upgrade, disconnect your raid drives and do a thorough hardware test and complete installation using the 6.2 loader onto a spare hdd. Once you are happy your hardware is all ok then you can boot/migrate your system. Data should be backed up of course.

Link to post
Share on other sites
24 minutes ago, Kamilos said:

Motherboard: GIGABYTE H97N-WIFI

CPU: Intel core i3-4130

16 GB RAM

4 x disk

 

Another pc problem does not shut down. Only disks turned off, fan running.

probably missing the atheros driver and you need to use ig-88 replacement extra.lzma driver extension

Link to post
Share on other sites
3 hours ago, Kamilos said:

Thank you, I remember something with OSFmount.
I don't know how it's done? Can I find instructions?

If you have followed the usb setup guide to open and edit the boot loader and change vid/pid etc, then its the same process, but you access the partition with the extra.lzma file and copy the extended version over it

Link to post
Share on other sites
  • 2 weeks later...

Hi,

Upgraded from 6.1.7 to 6.2.2 and my install got totally broken.

Microserver gen 8, esxi 6.5, 1.03b loader (so it is easy to roll back tho)

 

Upgrade finished as always, but then i noticed that i just can't login into my account through web interface. After login i see blank white page and in browser console lot of 404 ajax requests.

What is strange is that i can login through mobile but it looks like nas can't read settings properly (e.g. network settings are blank, in update/restore section it tells that it can't check new version because i not connected to internet). It looks like some files've been corrupted or some permissions changed i don't know.

 

It may be even my prev 6.1.7 broken because few days ago i lost all my notes because note station start to throw errors about permissions. I tried to restore them from backup but this process just cleared all my notes...

 

Could anyone advice what to do here please?

Link to post
Share on other sites

Day after such upgrade 2 volumes have crashed. 2 separate disks crashed one by one. 1st disk crashe when i changed permissions for folder with my time machine backup. I not used raid (syno actually used raid with single disk under the hood).I was able to copy all data from 1st disk under ubuntu yesterday.

Second disk (volume) just crashed when i copy all files via hyper backup with rsync to my new OMV powered VM.

 

It is weird is that s.m.a.r.t. doesn't show any problems for first disk and fsck reported that it was able to restore filesystem.

 

I'm now pulling out 2nd disk and will try to rescue data under ubuntu too. What the hell is going on with my nas. 

Link to post
Share on other sites
On 9/30/2018 at 5:46 AM, Captainfingerbang said:

Very important

Also:

Disable C1E - in your bios its labeled "C-states" i believe look at second image below for this

disable Intel VTX if you can as well- 2nd image

 

though this was posted a year ago, it certainly helped a lot, thanks a lot

Link to post
Share on other sites

I am currently using bootloader 1.02b (3615xs)and running DSM 6.1.7-15284 Update 2. I want tu update to the latest DSM.

 

My hardware:

Motherboard: H87i-plus

CPU: Pentium G3420

NIC: HP360T

 

I think I have two choices (with the internal NIC disabled).

1.       V1.04b (918+). Challenge seems to have a working serial and mac addresses. Tips regarding serial and mac are welcome (PM).

2.       V1.03b (3615xs) 

 

Which is the best choice?

Link to post
Share on other sites

After some more reading i saw that the 1.02b loader and the 1.04b loader are the recommended loaders.

 

My conclusion staying with current loader or upgrading to 1.04b are the recommended choices.

 

Is it allowed here to talk about serial numbers and mac adresses?

Edited by Dickster
Link to post
Share on other sites
On 11/3/2019 at 4:45 PM, Dickster said:

1.04b loader are the recommended loaders.

as you cpu seems to Haswell (4thgen intel) you should be able to use 918+ image (loader 1.04b)

but if you think you are better off using 3615 or 3617 the feel free to use loader 1.03b

1.02b -> DMS 6.1

1.3b/1.04b -> DSM 6.2

if it's an asus board (you did only give the name, no vendor) then the onboard nic is i217 and would use e1000e driver

HP NC360T is a Intel 82571EB, driver would be e1000

you might read a liitle futher depending if you want to use dsm 6.1 or 6.2.0 or 6.2.2

https://xpenology.com/forum/topic/14127-guide-to-native-drivers-dsm-621-on-ds918/

https://xpenology.com/forum/forum/91-additional-compiled-modules/

 

 

Link to post
Share on other sites

I was planning to use the 1.03b loader and stick with the 3215xs. My findings:

1.02b was and is still working perfect

1.04b worked after bios upgrade (looks to work without and with internal NIC disabled). Before bios upgrade I got the “13”error.

1.03b starts but cant be discovered on the network. Have internal NIC disabled and NC360T installed (based on this forum, especialle microserver topic, this looks a supported card).

 

Am is missing something with 1.03b loader (bios setting, extra drivers or something else like that)?

I do not have real SN and mac. Any disadvantages for 1.04b over 1.03b or is it best to update my actual system with 1.04b?

 

Hardware:

Asus H87i-Plus

CPU: Pentium G3420

NIC HP NC360T

Link to post
Share on other sites
I was planning to use the 1.03b loader and stick with the 3215xs. My findings:
1.02b was and is still working perfect
1.04b worked after bios upgrade (looks to work without and with internal NIC disabled). Before bios upgrade I got the “13”error.
1.03b starts but cant be discovered on the network. Have internal NIC disabled and NC360T installed (based on this forum, especialle microserver topic, this looks a supported card).
 
Am is missing something with 1.03b loader (bios setting, extra drivers or something else like that)?
I do not have real SN and mac. Any disadvantages for 1.04b over 1.03b or is it best to update my actual system with 1.04b?
 
Hardware:
Asus H87i-Plus
CPU: Pentium G3420
NIC HP NC360T
Did you configure it to use legacy bios instead of UEFI for 1.03b?
Link to post
Share on other sites

Tried to install DS3615XS DSM6.2.

Motherboard MSI Gaming 7 Z97 It’s booting but then in the Synology assistant I don’t find anything. Tried DS3617XS same issue. Then I tried DS918+ I found it in the Sybology assistant. I wanted to disconnect some HDD’s I rebooted again Synology assistant don’t finds it anymore.

 

Somebody that can help me?

 

Thanks!

Link to post
Share on other sites
On 11/14/2019 at 12:43 PM, bglf83 said:
On 11/7/2019 at 5:37 PM, Dickster said:
…..

Did you configure it to use legacy bios instead of UEFI for 1.03b?

 

I tried various options under CSM (Compatibility support mode). Where possible legacy only and if not possible legacy first. Non of the options seem to work.

 

It does boot from the USB drive as i get the "happy hacking" screen.

 

Is this the correct place in the bios for "legacy boot"? Was the only yhing i could find.

Link to post
Share on other sites

I am trying to upgrade to using 1.03b even tried the extra files but not getting any network connection to the server. Its not even showing any disc activity either from the raid car. This is set to IT mode and pass through. It is the following motherboard so it should work without an issues.

 

Intel Desktop Board DQ77KB

Both Intel Nics

Link to post
Share on other sites

Hi,

 

I'm planning to upgrade my ASRock Q1900DC-ITX from DSM 6.1 to DSM 6.2.

In some test I recognized that the interal network card is not recognized by the latest Version of DSM 6.2

 

I added a Intel 82576 network card, but that works only with Loader v1.03b.

Now my question:

Will v1.03b be supported in future and is there a recomended network card for v1.04b (PCIe 2.0 x1)?

The thing is that if I buy a new networkiadapter, it shoud be compatible to the next loader an DSM Versions.

 

Thanks for your help!

Link to post
Share on other sites
Hi,
 
I'm planning to upgrade my ASRock Q1900DC-ITX from DSM 6.1 to DSM 6.2.
In some test I recognized that the interal network card is not recognized by the latest Version of DSM 6.2
 
I added a Intel 82576 network card, but that works only with Loader v1.03b.
Now my question:
Will v1.03b be supported in future and is there a recomended network card for v1.04b (PCIe 2.0 x1)?
The thing is that if I buy a new networkiadapter, it shoud be compatible to the next loader an DSM Versions.
 
Thanks for your help!


I am not sure how safe the currently working cards are, however I believe 6.2 will receive 2 years of security updates after 7.0 comes out.
Link to post
Share on other sites
1 hour ago, bglf83 said:

 


I am not sure how safe the currently working cards are, however I believe 6.2 will receive 2 years of security updates after 7.0 comes out.

Ok, is there a list of working nics for v1.04b? Didn't find one yet.

Some postings say, that Intel 9301CT Gigabit CT Desktop BLK (EXPI9301CTBLK) should work.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.